Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.fitness
Class MultiObjectiveFitness

    java.lang.Object
      org.encog.ml.fitness.MultiObjectiveFitness

All Implemented Interfaces:
  Serializable, CalculateScore

    public class MultiObjectiveFitness

extends Object
implements CalculateScore, Serializable

A multi-objective fitness function.

See Also:
  Serialized Form

Constructor Summary
`MultiObjectiveFitness()`

Method Summary
`void` | `addObjective(double weight, CalculateScore fitnessFunction)` Add an objective.
`double` | `calculateScore(MLMethod method)` Calculate this network's score.
`boolean` | `requireSingleThreaded()`
`boolean` | `shouldMinimize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiObjectiveFitness

    public MultiObjectiveFitness()

Method Detail

### addObjective

    public void addObjective(double weight,
                             CalculateScore fitnessFunction)

  Add an objective.

  Parameters:
    `weight` - The weight of this objective, 1.0 for full, 0.5 for half, etc.
    `fitnessFunction` - The fitness function.

### calculateScore

    public double calculateScore(MLMethod method)

  Calculate this network's score.

  Specified by:
    `calculateScore` in interface `CalculateScore`
  Parameters:
    `method` - The ML method.
  Returns:
    The score.

### shouldMinimize

    public boolean shouldMinimize()

  Specified by:
    `shouldMinimize` in interface `CalculateScore`
  Returns:
    True if the goal is to minimize the score.

### requireSingleThreaded

    public boolean requireSingleThreaded()

  Specified by:
    `requireSingleThreaded` in interface `CalculateScore`
  Returns:
    True, if this score function cannot be done in parallel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.